/* superviewsupport/svsupportbase.h */
/* Version    : 2.1                 */
/* Date       : 22.05.1994          */
/* Written by : Andreas R. Kleinert */

#ifndef SUPERVIEWSUPPORT_SVSUPPORTBASE_H
#define SUPERVIEWSUPPORT_SVSUPPORTBASE_H

#ifndef SUPERVIEWSUPPORT_SUPERVIEWSUPPORT_H
#include <superviewsupport/superviewsupport.h>
#endif /* SUPERVIEWSUPPORT_SUPERVIEWSUPPORT_H */

#ifndef EXEC_LISTS
#include <exec/lists.h>
#endif /* EXEC_LISTS */

#ifndef EXEC_LIBRARIES
#include <exec/libraries.h>
#endif /* EXEC_LIBRARIES_H */

#ifndef SVDRIVERS_SVDRIVERS_H
#include <svdrivers/svdrivers.h>
#endif /* SVDRIVERS_SVDRIVERS_H */

struct SVSupportBase
{
 struct Library         svb_LibNode;
 APTR                   svb_SegList;
 struct ExecBase       *svb_SysBase;
 struct DosLibrary     *svb_DOSBase;
 struct IntuitionBase  *svb_IntuitionBase;
 struct GfxBase        *svb_GfxBase;
 struct Library        *svb_UtilityBase;
};

#endif /* SUPERVIEWSUPPORT_SVSUPPORTBASE_H */
